Package org.eclipse.birt.report.model.api

# Class SlotIterator

java.lang.Object
org.eclipse.birt.report.model.api.SlotIterator

All Implemented Interfaces:
  `Iterator<DesignElementHandle>`

public class SlotIterator extends Object implements Iterator<DesignElementHandle>
An Iterator over the elements in a slot. Each call to `getNext( )` returns a handle of type `DesignElementHandle`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`posn`
Current iteration position.
`protected final SlotHandle`
`slotHandle`
Handle to the slot over which to iterate.

## Constructor Summary

Constructors
Constructor
Description
`SlotIterator(SlotHandle handle)`
Constructs an iterator for the given slot.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
`DesignElementHandle`
`next()`
Returns a handle to the next content element.
`void`
`remove()`
Removes the element at the current iterator position.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Field Details

### slotHandle

protected final SlotHandle slotHandle
Handle to the slot over which to iterate.

### posn

protected int posn
Current iteration position.

## Constructor Details

### SlotIterator

public SlotIterator(SlotHandle handle)
Constructs an iterator for the given slot.

Parameters:
  `handle` - handle to the slot over which to iterate

## Method Details

### remove

public void remove()
Removes the element at the current iterator position.

Specified by:
  `remove` in interface `Iterator<DesignElementHandle>`

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<DesignElementHandle>`

### next

public DesignElementHandle next()
Returns a handle to the next content element. The handle is one of the various element classes derived from `DesignElementHandle`.

Specified by:
  `next` in interface `Iterator<DesignElementHandle>`
Returns:
  a handle to the next content element.